%global mod_name Flask-SQLAlchemy

Name:           python-flask-sqlalchemy
Version:        3.1.1
Release:        %mkrel 2
Summary:        Adds SQLAlchemy support to Flask application
Group:          Development/Python
License:        BSD
URL:            https://github.com/mitsuhiko/flask-sqlalchemy
Source0:        https://github.com/pallets-eco/flask-sqlalchemy/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch

%description
Flask-SQLAlchemy is an extension for Flask that adds support for
SQLAlchemy to your application. It aims to simplify using SQLAlchemy with
Flask by providing useful defaults and extra helpers that make it easier
to accomplish common tasks.

%package -n python3-flask-sqlalchemy
Summary:        Adds SQLAlchemy support to Flask application
Group:          Development/Python
Provides:       python3-%{mod_name} = %{version}-%{release}
BuildRequires:  python3-devel

%description -n python3-flask-sqlalchemy
Flask-SQLAlchemy is an extension for Flask that adds support for
SQLAlchemy to your application. It aims to simplify using SQLAlchemy with
Flask by providing useful defaults and extra helpers that make it easier
to accomplish common tasks.

Python 3 version.

%prep
%setup -q -n flask-sqlalchemy-%{version}
rm -f docs/_static/.DS_Store
rm -f docs/.DS_Store
rm -f docs/_themes/.gitignore

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_sqlalchemy

%files -n python3-flask-sqlalchemy -f %{pyproject_files}
%doc docs/ CHANGES.rst


%changelog
* Sun Mar 02 2025 wally <wally> 3.1.1-2.mga10
+ Revision: 2158248
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 3.1.1-1.mga10
+ Revision: 2036173
- new version 3.1.1

* Fri Apr 01 2022 umeabot <umeabot> 2.5.1-2.mga9
+ Revision: 1838230
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 2.5.1-1.mga9
+ Revision: 1784746
- verison 2.5.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.3.2-4.mga9
+ Revision: 1732620
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.3.2-3.mga8
+ Revision: 1533096
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 2.3.2-2.mga8
+ Revision: 1443368
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 2.3.2-1.mga7
+ Revision: 1352794
- Rebuild for python3 3.7

* Tue Jan 08 2019 ngompa <ngompa> 2.1-7.mga7
+ Revision: 1352761
- Rebuild for Python 3.7
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.1-4.mga7
+ Revision: 1135427
- Rebuild for python 3.6

* Sat May 28 2016 ngompa <ngompa> 2.1-3.mga6
+ Revision: 1019104
- imported package python-flask-sqlalchemy


* Sat May 28 2016 Neal Gompa <ngompa13@gmail.com> - 2.1-3
- Port to Mageia

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 29 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.1-1
- Update to 2.1
- Follow new packaging guidelines
- Run tests

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 10 2014 Tim Flink <tflink@fedoraproject.org> - 2.0-1
- enable python3 builds only for fedora - there's no python3 in el*

* Wed Dec 10 2014 Tim Flink <tflink@fedoraproject.org> - 2.0-1
- Upgraded to upstream 2.0
- Enhanced internal signal control, made more customizable and less global to play nice with non-flask-sqlalchemy sessions

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Jan 21 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 1.0-2
- Fixed #1055251

* Wed Aug 07 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 1.0-1
- Upgraded to upstream 1.0 and added python3 support

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 09 2012 Tim Flink <tflink@fedoraproject.ort> - 0.16-1
- Upgraded to upstream 0.16

* Tue Aug 21 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.14-4
- Added python-sqlalchemy as requires

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.14-1
- Initial RPM release
